<?php

namespace App\Modules\DefinedService\Location\Application\Insert;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class InsertLocationQuery implements Query
{
    public function __construct(
        private string $date,
        private string $dateUpdate,
        private string $name,
        private string $abrv,
        private string $latitude,
        private string $longitude,
        private int $status,
        private int $idAdmin
    ) {}

    public function date(): string
    {
        return $this->date;
    }

    public function dateUpdate(): string
    {
        return $this->dateUpdate;
    }

    public function name(): string
    {
        return $this->name;
    }
    public function abrv(): string
    {
        return $this->abrv;
    }

    public function latitude(): string
    {
        return $this->latitude;
    }

    public function longitude(): string
    {
        return $this->longitude;
    }

    public function status(): int
    {
        return $this->status;
    }

    public function idAdmin(): int
    {
        return $this->idAdmin;
    }
}
